# $Revision: 1.45 $, $Date: 2011/01/28 01:40:20 $
Summary:	GNU FriBidi - library implementing the Unicode BiDi algorithm
Summary(pl.UTF-8):	GNU FriBidi - biblioteka implementująca algorytm Unicode BiDi
Name:		fribidi
Version:	0.19.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://fribidi.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	626db17d2d99b43615ad9d12500f568a
URL:		http://fribidi.freedesktop.org/
BuildRequires:	autoconf >= 2.56
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
Obsoletes:	libfribidi0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU FriBidi is a free Implementation of the Unicode BiDi algorithm.

%description -l pl.UTF-8
GNU FriBidi to wolnodostępna implementacja algorytmu Unicode BiDi.

%package devel
Summary:	Header files for FriBidi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FriBidi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libfribidi0-devel

%description devel
The fribidi-devel package includes header files for the fribidi
package.

%description devel -l pl.UTF-8
Pliki programistyczne pozwalające na wykorzystywanie biblioteki
fribidi w swoim oprogramowaniu.

%package static
Summary:	Static FriBidi library
Summary(pl.UTF-8):	Biblioteka statyczna FriBidi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FriBidi library.

%description static -l pl.UTF-8
Biblioteka statyczna FriBidi.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/fribidi
%attr(755,root,root) %{_libdir}/libfribidi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfribidi.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfribidi.so
%{_libdir}/libfribidi.la
%{_includedir}/fribidi
%{_pkgconfigdir}/fribidi.pc
%{_mandir}/man3/fribidi_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libfribidi.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fribidi.spec,v $
Revision 1.45  2011/01/28 01:40:20  sparky
- BR: pkgconfig

Revision 1.44  2010/11/20 07:39:13  qboosh
- cleanup

Revision 1.43  2010/11/20 07:38:42  qboosh
- package man3 pages

Revision 1.42  2010/11/08 19:44:31  caleb
- Up to 0.19.2

Revision 1.41  2009/07/03 11:33:08  hawk
- reverted to 0.10.19, note to amateja: don't put DEVEL versions on HEAD

Revision 1.40  2009/06/08 12:36:14  amateja
- updated to 0.19.2

Revision 1.39  2008/01/23 19:20:31  qboosh
- more verbose files
- descs cleanup, updated to current official name (GNU FriBidi)

Revision 1.38  2008-01-15 18:38:20  sls
- rel. 1

Revision 1.37  2008-01-15 17:47:24  sls
- ver. 0.10.9 (NFY)
- new URL and SourceURL

Revision 1.36  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.34  2007/01/28 00:32:49  arekm
- rel 3

Revision 1.33  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.32  2005/05/10 08:57:55  adamg
- strict internal deps
- release 2 for Th

Revision 1.31  2003/07/08 18:26:39  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.30  2003/05/26 16:24:59  malekith
- massive attack: adding Source-md5

Revision 1.29  2003/05/25 05:47:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/08 10:33:14  qboosh
- use http for sources from sourceforge

Revision 1.27  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.26  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.25  2002/07/07 11:19:24  qboosh
- updated to 0.10.4 (now whole Unicode BiDi algorithm is implemented)
- removed separate fribidi.pc (already in sources)

Revision 1.24  2002/05/21 23:13:03  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/05/05 00:00:41  qboosh
- typo

Revision 1.22  2002/04/25 16:19:51  arturs
fixed a small typo

Revision 1.21  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.20  2002/02/23 02:06:15  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/19 02:44:50  kloczek
- remove also glib2-devel from Requires rules in devel.

Revision 1.17  2002/02/19 02:32:12  kloczek
- removed glib2-devel from BuildRequires (fribidi do not depends on glib2).

Revision 1.16  2002/02/19 02:27:27  kloczek
- release 2: rebuild against glib2 1.3.14

Revision 1.15  2002/02/02 03:51:05  kloczek
- removed obsletd am_ac patch.

Revision 1.14  2002/02/02 03:46:47  kloczek
- updated to 0.10.1 and rebuild against glib2 1.3.13.

Revision 1.13  2002/01/18 02:12:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2002/01/13 13:02:34  kloczek
- typos.

Revision 1.11  2002/01/13 12:39:22  kloczek
- libfribidi0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.10  2002/01/12 20:22:37  michuz
- updated to 0.10.0

Revision 1.9  2001/11/08 20:03:04  kloczek
- release 2: added glib2-devel to Requires list in devel.

Revision 1.8  2001/11/08 18:23:27  kloczek
- changed Version to 0.9.0.%%{snap}.

Revision 1.7  2001/11/08 16:00:07  kloczek
- cosmetics.

Revision 1.6  2001/10/29 19:59:27  misiek
- include Fribidi pkg configuration

Revision 1.5  2001/10/29 16:05:13  misiek
- updated to 20011029 snapshot

Revision 1.4  2000/10/18 20:26:30  kloczek
- updated to 0.14,
- use new rpm automation.
NOTE: requires glib 1.3.x (not tested yet).

Revision 1.3  2000/08/24 19:14:41  klakier
- hack commented, I've just found glib2.patch

Revision 1.2  2000/08/24 19:09:13  klakier
- some hack to build with for glib-1.3.1

Revision 1.1  2000/08/24 17:25:22  klakier
- based on rh
